### Class

# Gtk WindowGroup

#### Description [src]

    class Gtk.WindowGroup : GObject.Object
    {
      GtkWindowGroupPrivate* priv
    }

Creates groups of windows that behave like separate applications.

It achieves this by limiting the effect of GTK grabs and modality to windows in the same group.

A window can be a member in at most one window group at a time. Windows that have not been explicitly assigned to a group are implicitly treated like windows of the default window group.

`GtkWindowGroup` objects are referenced by each window in the group, so once you have added all windows to a `GtkWindowGroup`, you can drop the initial reference to the window group with g_object_unref(). If the windows in the window group are subsequently destroyed, then they will be removed from the window group and drop their references on the window group; when all window have been removed, the window group will be freed.

#### Ancestors

- GObject

#### Constructors

###### gtk_window_group_new

Creates a new `GtkWindowGroup` object.

#### Instance methods

###### gtk_window_group_add_window

Adds a window to a `GtkWindowGroup`.

###### gtk_window_group_list_windows

Returns a list of the `GtkWindows` that belong to `window_group`.

###### gtk_window_group_remove_window

Removes a window from a `GtkWindowGroup`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkWindowGroupClass {
      GObjectClass parent_class;
      void (* _gtk_reserved1) (
    void
      );
      void (* _gtk_reserved2) (
    void
      );
      void (* _gtk_reserved3) (
    void
      );
      void (* _gtk_reserved4) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_gtk_reserved1: void (* _gtk_reserved1) ( void )`

  No description available.

`_gtk_reserved2: void (* _gtk_reserved2) ( void )`

  No description available.

`_gtk_reserved3: void (* _gtk_reserved3) ( void )`

  No description available.

`_gtk_reserved4: void (* _gtk_reserved4) ( void )`

  No description available.